Bug 173142 - Inconsistent indentation in JUnit wizard
Inconsistent indentation in JUnit wizard
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Jan Lahoda
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-25 23:40 UTC by _ rkubacki
Modified: 2011-02-17 10:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
sample output (830 bytes, text/plain)
2009-09-25 23:41 UTC, _ rkubacki
Details

Note You need to log in before you can comment on or make changes to this bug.
Description _ rkubacki 2009-09-25 23:40:37 UTC
NB 6.7, linux, JDK6

I set my prefs to use 2 spaces for indent. Junit class wizard creates source file with wrongly indented ctor and
instance methods (surprisingly static methods are correct).
Comment 1 _ rkubacki 2009-09-25 23:41:10 UTC
Created attachment 88391 [details]
sample output
Comment 2 Victor Vasilyev 2009-09-26 19:45:27 UTC
It is a valid issue. Code generating should completely rely on chosen editor options in a part of formatting.

Nevertheless, the JUnit module is only responsible for content of the code, but not formatting.

I'll reassign this issue to an owner of the java.source module.
Comment 3 Jan Lahoda 2011-02-16 14:34:47 UTC
http://hg.netbeans.org/jet-main/rev/a926fe344ddc
Comment 4 Quality Engineering 2011-02-17 10:59:48 UTC
Integrated into 'main-golden', will be available in build *201102170501* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a926fe344ddc
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #173142: reformat files after create new from template


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo